com.google.gwt.user.cellview.client

## Interface AbstractCellTable.Template

- All Superinterfaces:
    SafeHtmlTemplates
  Enclosing class:
    AbstractCellTable<T>

      static interface AbstractCellTable.Template
      extends SafeHtmlTemplates

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.safehtml.client.SafeHtmlTemplates

      `SafeHtmlTemplates.Template`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SafeHtml` | `div(SafeHtml contents)`
    `SafeHtml` | `tbody(SafeHtml rowHtml)`
    `SafeHtml` | `td(java.lang.String classes, SafeHtml contents)`
    `SafeHtml` | `tdBothAlign(java.lang.String classes, java.lang.String hAlign, java.lang.String vAlign, SafeHtml contents)`
    `SafeHtml` | `tdHorizontalAlign(java.lang.String classes, java.lang.String hAlign, SafeHtml contents)`
    `SafeHtml` | `tdVerticalAlign(java.lang.String classes, java.lang.String vAlign, SafeHtml contents)`
    `SafeHtml` | `tfoot(SafeHtml rowHtml)`
    `SafeHtml` | `thead(SafeHtml rowHtml)`
    `SafeHtml` | `tr(java.lang.String classes, SafeHtml contents)`

- - ### Method Detail

    - #### div

          @SafeHtmlTemplates.Template(value="<div style=\"outline:none;\">{0}</div>")
          SafeHtml div(SafeHtml contents)

    - #### tbody

          @SafeHtmlTemplates.Template(value="<table><tbody>{0}</tbody></table>")
          SafeHtml tbody(SafeHtml rowHtml)

    - #### td

          @SafeHtmlTemplates.Template(value="<td class=\"{0}\">{1}</td>")
          SafeHtml td(java.lang.String classes,
                                                                                      SafeHtml contents)

    - #### tdBothAlign

          @SafeHtmlTemplates.Template(value="<td class=\"{0}\" align=\"{1}\" valign=\"{2}\">{3}</td>")
          SafeHtml tdBothAlign(java.lang.String classes,
                                                                                                                            java.lang.String hAlign,
                                                                                                                            java.lang.String vAlign,
                                                                                                                            SafeHtml contents)

    - #### tdHorizontalAlign

          @SafeHtmlTemplates.Template(value="<td class=\"{0}\" align=\"{1}\">{2}</td>")
          SafeHtml tdHorizontalAlign(java.lang.String classes,
                                                                                                                   java.lang.String hAlign,
                                                                                                                   SafeHtml contents)

    - #### tdVerticalAlign

          @SafeHtmlTemplates.Template(value="<td class=\"{0}\" valign=\"{1}\">{2}</td>")
          SafeHtml tdVerticalAlign(java.lang.String classes,
                                                                                                                  java.lang.String vAlign,
                                                                                                                  SafeHtml contents)

    - #### tfoot

          @SafeHtmlTemplates.Template(value="<table><tfoot>{0}</tfoot></table>")
          SafeHtml tfoot(SafeHtml rowHtml)

    - #### thead

          @SafeHtmlTemplates.Template(value="<table><thead>{0}</thead></table>")
          SafeHtml thead(SafeHtml rowHtml)

    - #### tr

          @SafeHtmlTemplates.Template(value="<tr class=\"{0}\">{1}</tr>")
          SafeHtml tr(java.lang.String classes,
                                                                                      SafeHtml contents)